Dependencia ignorada debido a conflicto de estudio de Android

Estoy tratando de agregar la siguiente dependencia pero es ignorar. No puedo entender cómo resolverlo por favor ayúdenme Gracias.

Dependencia

compile 'com.google.apis:google-api-services-drive:v2-rev170-1.20.0' 

Waring por ignorar la dependencia
Advertencia: Dependencia org.apache.httpcomponents: httpclient: 4.0.1 se ignora para la depuración, ya que puede estar en conflicto con la versión interna proporcionada por Android. En caso de problema, vuelva a empaquetarlo con jarjar para cambiar los paquetes de la clase. Advertencia: Dependencia org.apache.httpcomponents: httpclient: 4.0.1 se ignora para el lanzamiento, ya que puede estar en conflicto con la versión interna provista por Android. En caso de problema, vuelva a empaquetarlo con jarjar para cambiar los paquetes de clase

Puede excluir dependencias en el archivo build.gradle de su módulo.

 compile('com.google.apis:google-api-services-drive:v2-rev170-1.20.0') { exclude module: 'httpclient' //by artifact name exclude group: 'org.apache.httpcomponents' //by group exclude group: 'org.apache.httpcomponents', module: 'httpclient' //by both name and group } 

Excluya el módulo httpclient de todas las configuraciones. Agregue este código en el archivo build.gradle:

 configurations { compile.exclude group: "org.apache.httpcomponents", module: "httpclient" } 

Use el siguiente código para excluir los módulos conflictivos de la biblioteca API de Google.

  compile 'com.google.apis:google-api-services-drive:v2-rev170-1.20.0' { exclude module: 'httpcore' exclude module: 'httpclient' }